Skip to content

Get Directory

GET/api/v1/beta/directories/{directory_id}

Retrieve a directory by its identifier.

Path ParametersExpand Collapse
directory_id: string
Query ParametersExpand Collapse
organization_id: optional string
project_id: optional string
Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
id: string

Unique identifier for the directory.

name: string

Human-readable name for the directory.

minLength1
project_id: string

Project the directory belongs to.

created_at: optional string

Creation datetime

formatdate-time
deleted_at: optional string

Optional timestamp of when the directory was deleted. Null if not deleted.

formatdate-time
description: optional string

Optional description shown to users.

expires_at: optional string

When this directory expires and is eligible for cleanup.

formatdate-time
system_metadata: optional map[unknown]

Reserved system-managed metadata.

type: optional "user" or "index" or "ephemeral" or "system_ephemeral"

Directory type: ‘user’, ‘index’, ‘ephemeral’, or ‘system_ephemeral’.

One of the following:
"user"
"index"
"ephemeral"
"system_ephemeral"
updated_at: optional string

Update datetime

formatdate-time

Get Directory

curl https://api.cloud.llamaindex.ai/api/v1/beta/directories/$DIRECTORY_ID \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "x",
  "project_id": "project_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "deleted_at": "2019-12-27T18:11:19.117Z",
  "description": "description",
  "expires_at": "2019-12-27T18:11:19.117Z",
  "system_metadata": {
    "foo": "bar"
  },
  "type": "user",
  "updated_at": "2019-12-27T18:11:19.117Z"
}